> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vooma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tracking Status

<Warning>
  <strong>Beta Feature:</strong> This functionality is currently in beta. You
  may experience changes or limited support as we continue to improve it.
</Warning>

This endpoint accepts tracking updates for a movement identified by `movement.externalIds` (CUSTOM), using the same external ID conventions as the Movements API.


## OpenAPI

````yaml POST /tracking-status
openapi: 3.1.0
info:
  title: api
  version: 0.1.0
  contact: {}
servers:
  - url: https://api.vooma.ai/v0
    description: Vooma API
security: []
paths:
  /tracking-status:
    post:
      tags:
        - Tracking Status
      operationId: CreateTrackingStatus
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTrackingStatusInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrackingStatusData'
      security:
        - bearer: []
components:
  schemas:
    CreateTrackingStatusInput:
      properties:
        trackingStatus:
          $ref: '#/components/schemas/TrackingStatusData'
      required:
        - trackingStatus
      type: object
    TrackingStatusData:
      properties:
        metadata:
          $ref: '#/components/schemas/TrackingStatusMetadata'
        location:
          $ref: '#/components/schemas/TrackingStatusLocation'
        timestamp:
          type: number
          format: double
        movement:
          $ref: '#/components/schemas/TrackingStatusMovement'
      required:
        - location
        - timestamp
        - movement
      type: object
    TrackingStatusMetadata:
      properties:
        currentState:
          type: string
        currentCity:
          type: string
        deliveryStatus:
          type: string
        trackingStatus:
          type: string
        timezone:
          type: string
        destinationEta:
          type: string
        destinationState:
          type: string
        destinationCity:
          type: string
        originState:
          type: string
        originCity:
          type: string
        carrierId:
          type: string
        carrierName:
          type: string
      type: object
    TrackingStatusLocation:
      anyOf:
        - $ref: '#/components/schemas/GeoCoordinatesLocation'
        - $ref: '#/components/schemas/CityStateLocation'
    TrackingStatusMovement:
      properties:
        externalIds:
          items:
            $ref: '#/components/schemas/MovementExternalIdentifier'
          type: array
      required:
        - externalIds
      type: object
    GeoCoordinatesLocation:
      allOf:
        - $ref: '#/components/schemas/GeoCoordinates'
        - properties:
            type:
              $ref: '#/components/schemas/TrackingStatusLocationType.GEOCOORDINATES'
          required:
            - type
          type: object
    CityStateLocation:
      properties:
        state:
          type: string
        city:
          type: string
        type:
          $ref: '#/components/schemas/TrackingStatusLocationType.CITYSTATE'
      required:
        - state
        - city
        - type
      type: object
    MovementExternalIdentifier:
      properties:
        type:
          anyOf:
            - $ref: '#/components/schemas/MovementExternalIdentifierType'
            - type: string
        value:
          type: string
      required:
        - type
        - value
      type: object
      additionalProperties: false
    GeoCoordinates:
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      required:
        - longitude
        - latitude
      type: object
    TrackingStatusLocationType.GEOCOORDINATES:
      enum:
        - GEOCOORDINATES
      type: string
    TrackingStatusLocationType.CITYSTATE:
      enum:
        - CITYSTATE
      type: string
    MovementExternalIdentifierType:
      enum:
        - CUSTOM
      type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API Key

````